use super::*;

pub enum VideoQuery {
    None,

    GetDevices,
    Devices {
        devices:Vec<Device>,
    },

    CreateContext {
        handle:WindowHandle,
    },
    ContextCreated {
        id:usize,
    },
    
    RefreshContext {
        id:usize,
    },

    DestroyContext {
        id:usize,
    },

    Render {
        contexts:Vec<usize>,
    },
}
