pub type RawWindowHandle = windows::Win32::Foundation::HWND;

#[derive(Clone, Copy)]
pub struct WindowHandle {
    pub handle:RawWindowHandle,
}
unsafe impl Send for WindowHandle { }
impl From<RawWindowHandle> for WindowHandle {
    fn from(value: RawWindowHandle) -> Self
    {
        Self { handle:value }
    }
}
